| OpendTect 8.0

Loading...
Searching...
No Matches
Public Member Functions | Static Public Member Functions | List of all members
Pos::Provider2D Class Referenceabstract
Algo

Provides a subselection for 2D surveys - requires the line name(s). More...

`#include <posprovider.h>`

Inheritance diagram for Pos::Provider2D:
[legend]

## Public Member Functions
virtual Pos::GeomID | curGeomID () const =0
virtual int | curNr () const =0
static ::Factory< Provider2D > & | factory ()
uiString | factoryDisplayName () const override
const char * | factoryKeyword () const override
virtual void | getExtent (Interval< int > &, int lidx) const =0
virtual void | getZRange (Interval< float > &, int lidx) const =0
bool | includes (const Coord &, float z=mUdf(float)) const override=0
bool | includes (int, float z=mUdf(float), int nr=0) const override=0
bool | is2D () const override
OD::GeomSystem | survID () const override
Public Member Functions inherited from Pos::Filter2D
| Filter2D ()
| ~Filter2D ()
void | addGeomID (const Pos::GeomID)
Pos::GeomID | geomID (int) const
bool | includes (Pos::GeomID, int trcnr, float z=mUdf(float)) const
int | nrLines () const
void | removeGeomID (int lidx)
Public Member Functions inherited from Pos::Filter
virtual | ~Filter ()
virtual float | adjustedZ (const Coord &, float z) const
virtual Filter * | clone () const =0
virtual void | fillPar (IOPar &) const =0
virtual void | getSummary (BufferString &) const =0
virtual bool | hasZAdjustment () const
virtual bool | initialize (TaskRunner *=nullptr)
virtual void | reset ()=0
virtual const char * | type () const =0
virtual void | usePar (const IOPar &)=0
Public Member Functions inherited from Pos::Provider
virtual Coord | curCoord () const =0
virtual TrcKey | curTrcKey () const =0
virtual float | curZ () const =0
virtual od_int64 | estNrPos () const =0
virtual int | estNrZPerPos () const
float | estRatio (const Provider &) const override
virtual void | getTrcKeyZSampling (TrcKeyZSampling &) const
bool | isProvider () const override
virtual bool | toNextPos ()=0
virtual bool | toNextZ ()=0

## Static Public Member Functions
static Provider2D * | make (const IOPar &)
Static Public Member Functions inherited from Pos::Filter2D
static Filter2D * | make (const IOPar &)
Static Public Member Functions inherited from Pos::Filter
static Filter * | make (const IOPar &, bool is2d)
Static Public Member Functions inherited from Pos::Provider
static Provider * | make (const IOPar &, bool is2d)

## Additional Inherited Members
Protected Attributes inherited from Pos::Filter2D
TypeSet< Pos::GeomID > | geomids_

## Detailed Description

Provides a subselection for 2D surveys - requires the line name(s).

<>

## Member Function Documentation

## ◆ curGeomID()

virtual Pos::GeomID Pos::Provider2D::curGeomID | ( |  | ) | const
| pure virtual

Implemented in Pos::EMSurfaceProvider2D, and Pos::RangeProvider2D.

## ◆ curNr()

virtual int Pos::Provider2D::curNr | ( |  | ) | const
| pure virtual

Implemented in Pos::EMSurfaceProvider2D, and Pos::RangeProvider2D.

## ◆ factory()

static ::Factory< Provider2D > & Pos::Provider2D::factory | ( |  | ) |

## ◆ factoryDisplayName()

uiString Pos::Provider2D::factoryDisplayName | ( |  | ) | const
| inline override

## ◆ factoryKeyword()

const char * Pos::Provider2D::factoryKeyword | ( |  | ) | const
| inline override

## ◆ getExtent()

virtual void Pos::Provider2D::getExtent | ( | Interval< int > & | ,
|  | int | lidx ) const
| pure virtual

Implemented in Pos::EMSurfaceProvider2D, and Pos::RangeProvider2D.

## ◆ getZRange()

virtual void Pos::Provider2D::getZRange | ( | Interval< float > & | ,
|  | int | lidx ) const
| pure virtual

Implemented in Pos::EMSurfaceProvider2D, and Pos::RangeProvider2D.

## ◆ includes() [1/2]

bool Pos::Provider2D::includes | ( | const Coord & | ,
|  | float | z = mUdf(float) ) const
| override pure virtual

Implements Pos::Filter2D.

Implemented in Pos::RangeProvider2D, and Pos::EMSurfaceProvider2D.

## ◆ includes() [2/2]

bool Pos::Provider2D::includes | ( | int | ,
|  | float | z = mUdf(float),
|  | int | nr = 0 ) const
| override pure virtual

Implements Pos::Filter2D.

Implemented in Pos::RangeProvider2D, and Pos::EMSurfaceProvider2D.

## ◆ is2D()

bool Pos::Provider2D::is2D | ( |  | ) | const
| inline override virtual

Reimplemented from Pos::Filter2D.

## ◆ make()

static Provider2D * Pos::Provider2D::make | ( | const IOPar & |  | ) |
| static

## ◆ survID()

OD::GeomSystem Pos::Provider2D::survID | ( |  | ) | const
| override virtual

Implements Pos::Provider.

Generated at
for the OpendTect seismic interpretation project. Copyright (C): dGB Beheer B.V. 1995-2025